﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> تغيير كلمة المرور</div>
    </div>
</div>
<div class="page-content">
    <div class="list-block">
        <div class="m-auto">
            <form name="$parent.ChangePasswordForm" ng-submit="submitForm($parent.ChangePasswordForm.$valid)" novalidate>
                <ul>
                    <li>
                        <div class="item-content" ng-class="submittedChangePass && changePasswordReset  && $parent.ChangePasswordForm.oldPassword.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="password" placeholder="كلمة السر القديمة" name="oldPassword" ng-pattern="passRegex" ng-model="changePassForm.oldPassword" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.oldPassword.$error.required" class="error-block">يجب إدخال كلمة السر القديمة</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.oldPassword.$error.minlength" class="error-block">كلمة السر القديمة يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.oldPassword.$error.maxlength" class="error-block">كلمة السر القديمة يجب ألا تزيد عن ثلاثين حرفا</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.oldPassword.$error.pattern" class="error-block">كلمة السر يجب ألا تحتوي علي مسافات</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedChangePass && changePasswordReset  && $parent.ChangePasswordForm.newPassword.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="password" placeholder="كلمة السر الجديدة" name="newPassword" ng-pattern="passRegex" ng-model="changePassForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedChangePass && changePasswordReset  && $parent.ChangePasswordForm.newPassword.$error.required" class="error-block">يجب إدخال كلمة السر الجديدة</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.newPassword.$error.minlength" class="error-block">كلمة السر الجديدة يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.newPassword.$error.maxlength" class="error-block">كلمة السر الجديدة يجب ألا تزيد عن ثلاثين حرفا</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.newPassword.$error.pattern" class="error-block">كلمة السر يجب ألا تحتوي علي مسافات</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="password" placeholder="تأكيد كلمة السر الجديدة" name="confrmNewPassword" ng-model="changePassForm.confrmNewPassword" ng-pattern="changePassForm.newPassword" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.required" class="error-block">يجب تأكيد كلمة السر</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                        <p ng-show="submittedChangePass && changePasswordReset && $parent.ChangePasswordForm.confrmNewPassword.$error.pattern" class="error-block">كلمتا السر غير متطابقتين</p>
                    </li>
                </ul>
                <p>
                    <button type="submit" ng-click="submittedChangePass=true" class="button button-fill button-rounded centered-100 m-auto">تغيير كلمة المرور</button>
                </p>
                <p>
                    <a ng-click="GoBack()" class="button button-fill button-rounded centered-100 m-auto">عودة</a>
                </p>
            </form>
        </div>
    </div>
</div>